@charset "UTF-8";

/* Common */

.table-responsive td,
.table-responsive th {
    white-space: nowrap;
}

.table td {
    vertical-align: top;
}

/* Layout */

.container-header {
    background: #def0d6 url(../images/header.jpg) no-repeat scroll top center;
    background-size: cover;
    margin-bottom: 12px;
    box-shadow: 0 1px 10px rgba(64, 64, 64, 0.5);
}

.container-header .site-description {
    color: #040;
    font-family: serif;
    font-size: calc(1.25rem + 1vw);
    text-shadow: -1px 0 #fff, 0 1px #fff, 1px 0 #fff, 0 -1px #fff;
}

.container-footer {
    color: #040;
    background-color: #def0d6;
    background-image: none;
    box-shadow: 0 -1px 10px rgba(64, 64, 64, 0.5);
}

.container-footer .mod-custom {
    width: 100%;
}

.footer a:not(.btn):hover {
    color: currentColor;
}

/* Site grid */

@supports (display: grid) {
    @media (max-width: 991px) {
        .site-grid {
            grid-template-areas:
                ".banner banner banner banner."
                ".top-a  top-a  top-a  top-a. "
                ".top-b  top-b  top-b  top-b. "
                ".side-l side-l side-l side-l."
                ".comp   comp   comp   comp.  "
                ".side-r side-r side-r side-r."
                ".bot-a  bot-a  bot-a  bot-a. "
                ".bot-b  bot-b  bot-b  bot-b. ";
            }
    }
}

/* Sticky main menu */

@media (max-width: 991px) {
    .container-sidebar-left {
        z-index: 1020;
        position: sticky;
        top: 0;
    }

    .container-sidebar-left .sidebar-left {
        margin: 0 !important;
        border: none;
        border-radius: 0;
    }

    .container-sidebar-left .card-body {
        padding: 0;
    }

    .container-sidebar-left .navbar-toggler:after {
        content: 'Menü'
    }
}

/* Blog item divider */

.blog-featured .blog-item {
    margin-bottom: 12px;
    padding-bottom: 12px;
    border-bottom: 1px solid var(--secondary-color);
}

/* Lightbox */

#lightbox-carousel .carousel-item img {
    cursor: zoom-out;
}

#lightbox-carousel .carousel-item img.object-fit-contain {
    cursor: zoom-in;
    max-height: 100vh;
}
